<div class="radio" [formGroup]="formGroup">
    <span><input  formControlName="method" type="radio" value="buy">
        Продажа
    </span>
    <span><input  formControlName="method" type="radio" value="rent">
        Аренда
    </span>
</div>

<input class="search" [value]="city" type="text" #text (keyup.enter)="sendText(text.value)">